> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ugps.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Contexto autorizado para crear un negocio desde Ticket



## OpenAPI

````yaml /generated/specs/operations.json get /api/v1/tickets/{ticketId}/associations/opportunities/creation-context
openapi: 3.0.0
info:
  title: Raul API - Operaciones
  description: Suscripciones, GPS, actividades, visitas y operacion tecnica.
  version: 2.0.0
  contact: {}
servers:
  - url: https://api.raul.ugps.io
    description: Production
security: []
tags: []
paths:
  /api/v1/tickets/{ticketId}/associations/opportunities/creation-context:
    get:
      tags:
        - Ticket associations
      summary: Contexto autorizado para crear un negocio desde Ticket
      operationId: TicketOpportunityCreateController_context
      parameters:
        - name: ticketId
          required: true
          in: path
          schema:
            type: string
        - name: owner_search
          required: false
          in: query
          schema:
            maxLength: 200
            type: string
        - name: owner_page
          required: false
          in: query
          schema:
            minimum: 1
            maximum: 10000
            type: integer
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/TicketOpportunityCreationContextDto'
components:
  schemas:
    TicketOpportunityCreationContextDto:
      type: object
      properties:
        version:
          type: integer
        client:
          nullable: true
          type: object
          allOf:
            - $ref: '#/components/schemas/TicketOpportunityCreationOptionDto'
        owners:
          type: array
          items:
            $ref: '#/components/schemas/TicketOpportunityCreationOptionDto'
        ownersHasMore:
          type: boolean
        dealTypes:
          type: array
          items:
            $ref: '#/components/schemas/TicketOpportunityDealTypeDto'
        canSelectContacts:
          type: boolean
      required:
        - version
        - client
        - owners
        - ownersHasMore
        - dealTypes
        - canSelectContacts
    TicketOpportunityCreationOptionDto:
      type: object
      properties:
        id:
          type: string
          format: uuid
        name:
          type: string
      required:
        - id
        - name
    TicketOpportunityDealTypeDto:
      type: object
      properties:
        value:
          type: string
        label:
          type: string
      required:
        - value
        - label

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.